import { PropType } from "vue";
import * as GC from "@grapecity/inputman.comment";
declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    userInfo: {
        type: PropType<object | GC.InputMan.UserInfo>;
        default: any;
    };
    candidateReactionList: {
        type: PropType<string[]>;
        default: any;
    };
    candidateReactionListColumns: {
        type: NumberConstructor;
        default: any;
    };
    postTimeFormatter: {
        type: PropType<GC.InputMan.DateFormatter>;
        default: any;
    };
    updateTimeFormatter: {
        type: PropType<GC.InputMan.DateFormatter>;
        default: any;
    };
    showIcon: {
        type: BooleanConstructor;
        default: any;
    };
    addCommentEditorPosition: {
        type: PropType<string | GC.InputMan.GcCommentEditorPosition>;
        default: any;
    };
    commentMode: {
        type: PropType<string | GC.InputMan.GcCommentMode>;
        default: any;
    };
    header: {
        type: PropType<GC.InputMan.HeaderFooterItem[]>;
        default: any;
    };
    footer: {
        type: PropType<GC.InputMan.HeaderFooterItem[]>;
        default: any;
    };
    headerFooterItems: {
        type: PropType<object | {
            [key: string]: (gcComment: GC.InputMan.GcComment) => GC.InputMan.IHeaderFooterItem;
        }>;
        default: any;
    };
    commentAction: {
        type: PropType<(string | GC.InputMan.GcCommentCommentActionItem)[]>;
        default: any;
    };
    commentInfoAction: {
        type: PropType<(string | GC.InputMan.GcCommentCommentInfoActionItem)[]>;
        default: any;
    };
    commentActionItem: {
        type: PropType<object | {
            [key: string]: GC.InputMan.ICommentActionItem;
        }>;
        default: any;
    };
    commentInfoActionItem: {
        type: PropType<object | {
            [key: string]: GC.InputMan.ICommentInfoActionItem;
        }>;
        default: any;
    };
    commentActionButtonType: {
        type: PropType<string | GC.InputMan.GcCommentActionButtonType>;
        default: any;
    };
    pageSize: {
        type: NumberConstructor;
        default: any;
    };
    loadOnDemand: {
        type: BooleanConstructor;
        default: any;
    };
    allowAnonymous: {
        type: BooleanConstructor;
        default: any;
    };
    anonymousUserInfo: {
        type: PropType<object | GC.InputMan.UserInfo>;
        default: any;
    };
    warningMessage: {
        type: PropType<object | GC.InputMan.IWarningMessage>;
        default: any;
    };
    watermark: {
        type: PropType<object | GC.InputMan.IWaterMark>;
        default: any;
    };
    commentFormatter: {
        type: PropType<GC.InputMan.CommentFormatter>;
        default: any;
    };
    editorConfig: {
        type: PropType<object | GC.InputMan.EditorConfig>;
        default: any;
    };
    avatarType: {
        type: PropType<string | GC.InputMan.GcCommentUserIconType>;
        default: any;
    };
    loadUsersInfoHandler: {
        type: PropType<GC.InputMan.LoadUsersCallback>;
        default: any;
    };
    loadComments: {
        type: PropType<(args: GC.InputMan.LoadMoreCommentsInfo) => GC.InputMan.LoadCommentsResult>;
        default: any;
    };
    addNewCommentTo: {
        type: PropType<string | GC.InputMan.AddNewCommentPosition>;
        default: any;
    };
    keepDraft: {
        type: BooleanConstructor;
        default: any;
    };
    dataSource: {
        type: PropType<object | GC.InputMan.IGcCommentDataSource>;
        default: any;
    };
    loadCommentCount: {
        type: PropType<() => number | Promise<number>>;
        default: any;
    };
    commentCountFormatter: {
        type: PropType<(n: number) => string | HTMLElement>;
        default: any;
    };
    loadReactionCount: {
        type: PropType<() => number | Promise<number>>;
        default: any;
    };
    reactionCountFormatter: {
        type: PropType<(n: number) => string | HTMLElement>;
        default: any;
    };
    sortInfo: {
        type: PropType<object | GC.InputMan.SortInfo>;
        default: any;
    };
    loadRepliesOnDemand: {
        type: BooleanConstructor;
        default: any;
    };
    replyLevel: {
        type: NumberConstructor;
        default: any;
    };
    collapseRepliesMode: {
        type: PropType<string | GC.InputMan.GcCommentCollapseRepliesMode>;
        default: any;
    };
    showCurrentUserName: {
        type: BooleanConstructor;
        default: any;
    };
    contextToolbar: {
        type: PropType<(string | GC.InputMan.GcCommentContextToolbar | GC.InputMan.ContextToolbarOption)[]>;
        default: any;
    };
    contextToolbarItem: {
        type: PropType<object | {
            [key: string]: GC.InputMan.ICommentContextToolbarItem;
        }>;
        default: any;
    };
    loadCommentReplies: {
        type: PropType<(comment: GC.InputMan.IComment, loadedCount: number) => GC.InputMan.LoadCommentsResult>;
        default: any;
    };
    createEditor: PropType<(args: GC.InputMan.CreateEditorArgs) => GC.InputMan.ICommentEditor>;
    comments: {
        type: PropType<GC.InputMan.IComment[]>;
        default: any;
    };
    stickedComment: {
        type: PropType<GC.InputMan.IComment>;
        default: any;
    };
    copiedLinkDisplayTextFormatter: {
        type: PropType<(comment: GC.InputMan.IComment) => GC.InputMan.ICopiedLinkDisplayTextConfig>;
        default: any;
    };
    copiedLinkFormatter: {
        type: PropType<(comment: GC.InputMan.IComment) => string>;
        default: any;
    };
    copiedLinkSearchParams: {
        type: PropType<(GC.InputMan.CustomLinkSearchParam | GC.InputMan.GcCommentLinkSearchParams)[]>;
        default: any;
    };
    pastedLinkType: {
        type: PropType<GC.InputMan.GcCommentPasteLinkType>;
        default: any;
    };
    showLinkTypeContextToolbar: {
        type: PropType<boolean>;
        default: any;
    };
    loadCommentByLink: {
        type: PropType<(link: string) => Promise<GC.InputMan.LoadCommentByLinkResult>>;
        default: any;
    };
    openLinkMode: {
        type: PropType<GC.InputMan.OpenLinkMode>;
        default: any;
    };
    loadStickedComment: {
        type: PropType<() => GC.InputMan.IComment | null>;
        default: any;
    };
    showZeroReaction: {
        type: PropType<boolean>;
        default: any;
    };
    showOpenReactionListButton: {
        type: PropType<boolean>;
        default: any;
    };
}>, {}, {}, {}, {
    getNestedIMControl: () => GC.InputMan.GcComment;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    editorcreated: (args: GC.InputMan.EditorCreatedArgs) => true;
    preprocesserror: (args: GC.InputMan.PreprocessErrorArgs) => true;
    beforeexecutecommand: (args: GC.InputMan.ExecuteCommandArgs) => true;
    afterexecutecommand: (args: GC.InputMan.ExecuteCommandArgs) => true;
    beforefirstload: () => true;
    afterfirstload: () => true;
    oninitialized: (sender: GC.InputMan.GcComment) => true;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    userInfo: {
        type: PropType<object | GC.InputMan.UserInfo>;
        default: any;
    };
    candidateReactionList: {
        type: PropType<string[]>;
        default: any;
    };
    candidateReactionListColumns: {
        type: NumberConstructor;
        default: any;
    };
    postTimeFormatter: {
        type: PropType<GC.InputMan.DateFormatter>;
        default: any;
    };
    updateTimeFormatter: {
        type: PropType<GC.InputMan.DateFormatter>;
        default: any;
    };
    showIcon: {
        type: BooleanConstructor;
        default: any;
    };
    addCommentEditorPosition: {
        type: PropType<string | GC.InputMan.GcCommentEditorPosition>;
        default: any;
    };
    commentMode: {
        type: PropType<string | GC.InputMan.GcCommentMode>;
        default: any;
    };
    header: {
        type: PropType<GC.InputMan.HeaderFooterItem[]>;
        default: any;
    };
    footer: {
        type: PropType<GC.InputMan.HeaderFooterItem[]>;
        default: any;
    };
    headerFooterItems: {
        type: PropType<object | {
            [key: string]: (gcComment: GC.InputMan.GcComment) => GC.InputMan.IHeaderFooterItem;
        }>;
        default: any;
    };
    commentAction: {
        type: PropType<(string | GC.InputMan.GcCommentCommentActionItem)[]>;
        default: any;
    };
    commentInfoAction: {
        type: PropType<(string | GC.InputMan.GcCommentCommentInfoActionItem)[]>;
        default: any;
    };
    commentActionItem: {
        type: PropType<object | {
            [key: string]: GC.InputMan.ICommentActionItem;
        }>;
        default: any;
    };
    commentInfoActionItem: {
        type: PropType<object | {
            [key: string]: GC.InputMan.ICommentInfoActionItem;
        }>;
        default: any;
    };
    commentActionButtonType: {
        type: PropType<string | GC.InputMan.GcCommentActionButtonType>;
        default: any;
    };
    pageSize: {
        type: NumberConstructor;
        default: any;
    };
    loadOnDemand: {
        type: BooleanConstructor;
        default: any;
    };
    allowAnonymous: {
        type: BooleanConstructor;
        default: any;
    };
    anonymousUserInfo: {
        type: PropType<object | GC.InputMan.UserInfo>;
        default: any;
    };
    warningMessage: {
        type: PropType<object | GC.InputMan.IWarningMessage>;
        default: any;
    };
    watermark: {
        type: PropType<object | GC.InputMan.IWaterMark>;
        default: any;
    };
    commentFormatter: {
        type: PropType<GC.InputMan.CommentFormatter>;
        default: any;
    };
    editorConfig: {
        type: PropType<object | GC.InputMan.EditorConfig>;
        default: any;
    };
    avatarType: {
        type: PropType<string | GC.InputMan.GcCommentUserIconType>;
        default: any;
    };
    loadUsersInfoHandler: {
        type: PropType<GC.InputMan.LoadUsersCallback>;
        default: any;
    };
    loadComments: {
        type: PropType<(args: GC.InputMan.LoadMoreCommentsInfo) => GC.InputMan.LoadCommentsResult>;
        default: any;
    };
    addNewCommentTo: {
        type: PropType<string | GC.InputMan.AddNewCommentPosition>;
        default: any;
    };
    keepDraft: {
        type: BooleanConstructor;
        default: any;
    };
    dataSource: {
        type: PropType<object | GC.InputMan.IGcCommentDataSource>;
        default: any;
    };
    loadCommentCount: {
        type: PropType<() => number | Promise<number>>;
        default: any;
    };
    commentCountFormatter: {
        type: PropType<(n: number) => string | HTMLElement>;
        default: any;
    };
    loadReactionCount: {
        type: PropType<() => number | Promise<number>>;
        default: any;
    };
    reactionCountFormatter: {
        type: PropType<(n: number) => string | HTMLElement>;
        default: any;
    };
    sortInfo: {
        type: PropType<object | GC.InputMan.SortInfo>;
        default: any;
    };
    loadRepliesOnDemand: {
        type: BooleanConstructor;
        default: any;
    };
    replyLevel: {
        type: NumberConstructor;
        default: any;
    };
    collapseRepliesMode: {
        type: PropType<string | GC.InputMan.GcCommentCollapseRepliesMode>;
        default: any;
    };
    showCurrentUserName: {
        type: BooleanConstructor;
        default: any;
    };
    contextToolbar: {
        type: PropType<(string | GC.InputMan.GcCommentContextToolbar | GC.InputMan.ContextToolbarOption)[]>;
        default: any;
    };
    contextToolbarItem: {
        type: PropType<object | {
            [key: string]: GC.InputMan.ICommentContextToolbarItem;
        }>;
        default: any;
    };
    loadCommentReplies: {
        type: PropType<(comment: GC.InputMan.IComment, loadedCount: number) => GC.InputMan.LoadCommentsResult>;
        default: any;
    };
    createEditor: PropType<(args: GC.InputMan.CreateEditorArgs) => GC.InputMan.ICommentEditor>;
    comments: {
        type: PropType<GC.InputMan.IComment[]>;
        default: any;
    };
    stickedComment: {
        type: PropType<GC.InputMan.IComment>;
        default: any;
    };
    copiedLinkDisplayTextFormatter: {
        type: PropType<(comment: GC.InputMan.IComment) => GC.InputMan.ICopiedLinkDisplayTextConfig>;
        default: any;
    };
    copiedLinkFormatter: {
        type: PropType<(comment: GC.InputMan.IComment) => string>;
        default: any;
    };
    copiedLinkSearchParams: {
        type: PropType<(GC.InputMan.CustomLinkSearchParam | GC.InputMan.GcCommentLinkSearchParams)[]>;
        default: any;
    };
    pastedLinkType: {
        type: PropType<GC.InputMan.GcCommentPasteLinkType>;
        default: any;
    };
    showLinkTypeContextToolbar: {
        type: PropType<boolean>;
        default: any;
    };
    loadCommentByLink: {
        type: PropType<(link: string) => Promise<GC.InputMan.LoadCommentByLinkResult>>;
        default: any;
    };
    openLinkMode: {
        type: PropType<GC.InputMan.OpenLinkMode>;
        default: any;
    };
    loadStickedComment: {
        type: PropType<() => GC.InputMan.IComment | null>;
        default: any;
    };
    showZeroReaction: {
        type: PropType<boolean>;
        default: any;
    };
    showOpenReactionListButton: {
        type: PropType<boolean>;
        default: any;
    };
}>> & Readonly<{
    onEditorcreated?: (args: GC.InputMan.EditorCreatedArgs) => any;
    onPreprocesserror?: (args: GC.InputMan.PreprocessErrorArgs) => any;
    onBeforeexecutecommand?: (args: GC.InputMan.ExecuteCommandArgs) => any;
    onAfterexecutecommand?: (args: GC.InputMan.ExecuteCommandArgs) => any;
    onBeforefirstload?: () => any;
    onAfterfirstload?: () => any;
    onOninitialized?: (sender: GC.InputMan.GcComment) => any;
}>, {
    footer: GC.InputMan.HeaderFooterItem[];
    header: GC.InputMan.HeaderFooterItem[];
    comments: GC.InputMan.IComment[];
    userInfo: object | GC.InputMan.UserInfo;
    stickedComment: GC.InputMan.IComment;
    candidateReactionList: string[];
    candidateReactionListColumns: number;
    postTimeFormatter: GC.InputMan.DateFormatter;
    updateTimeFormatter: GC.InputMan.DateFormatter;
    showIcon: boolean;
    addCommentEditorPosition: string;
    commentMode: string;
    headerFooterItems: object | {
        [key: string]: (gcComment: GC.InputMan.GcComment) => GC.InputMan.IHeaderFooterItem;
    };
    commentAction: string[];
    commentInfoAction: string[];
    commentActionItem: object | {
        [key: string]: GC.InputMan.ICommentActionItem;
    };
    commentInfoActionItem: object | {
        [key: string]: GC.InputMan.ICommentInfoActionItem;
    };
    commentActionButtonType: string;
    pageSize: number;
    loadOnDemand: boolean;
    allowAnonymous: boolean;
    anonymousUserInfo: object | GC.InputMan.UserInfo;
    warningMessage: any;
    watermark: any;
    commentFormatter: GC.InputMan.CommentFormatter;
    editorConfig: object | GC.InputMan.EditorConfig;
    avatarType: string;
    loadUsersInfoHandler: GC.InputMan.LoadUsersCallback;
    loadComments: (args: GC.InputMan.LoadMoreCommentsInfo) => GC.InputMan.LoadCommentsResult;
    addNewCommentTo: string;
    keepDraft: boolean;
    dataSource: any;
    loadCommentCount: () => number | Promise<number>;
    commentCountFormatter: (n: number) => string | HTMLElement;
    loadReactionCount: () => number | Promise<number>;
    reactionCountFormatter: (n: number) => string | HTMLElement;
    sortInfo: object | GC.InputMan.SortInfo;
    loadRepliesOnDemand: boolean;
    replyLevel: number;
    collapseRepliesMode: string;
    showCurrentUserName: boolean;
    contextToolbar: (string | GC.InputMan.ContextToolbarOption)[];
    contextToolbarItem: object | {
        [key: string]: GC.InputMan.ICommentContextToolbarItem;
    };
    loadCommentReplies: (comment: GC.InputMan.IComment, loadedCount: number) => GC.InputMan.LoadCommentsResult;
    copiedLinkDisplayTextFormatter: (comment: GC.InputMan.IComment) => GC.InputMan.ICopiedLinkDisplayTextConfig;
    copiedLinkFormatter: (comment: GC.InputMan.IComment) => string;
    copiedLinkSearchParams: (GC.InputMan.CustomLinkSearchParam | GC.InputMan.GcCommentLinkSearchParams)[];
    pastedLinkType: GC.InputMan.GcCommentPasteLinkType;
    showLinkTypeContextToolbar: boolean;
    loadCommentByLink: (link: string) => Promise<GC.InputMan.LoadCommentByLinkResult>;
    openLinkMode: GC.InputMan.OpenLinkMode;
    loadStickedComment: () => GC.InputMan.IComment | null;
    showZeroReaction: boolean;
    showOpenReactionListButton: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
